#!/bin/sh
# 
# EXAMPLE OPEN MPI SCRIPT FOR SGE
# Modified by Basement Supercomputing 1/2/2011 DJE
# To use, change "OMPI_JOB", "NUMBER_OF_CPUS" 
# and "OMPI_PROGRAM_NAME" to real values. 
#
# Your job name 
#$ -N OMPI_JOB
#
# Use current working directory
#$ -cwd
#
# Join stdout and stderr
#$ -j y
#
# pe request for Open MPI. Set your number of processors here. 
# Make sure you use the "ompi" parallel environemnt.
#$ -pe ompi NUMBER_OF_CPUS 
#
# Run job through bash shell
#$ -S /bin/bash
#
# The following is for reporting only. It is not really needed
# to run the job. It will show up in your output file.
echo "Got $NSLOTS processors."
# Use full pathname to make sure we are using the right mpirun
/opt/mpi/ompi-gnu4/bin/mpirun  -np $NSLOTS  OMPI_PROGRAM_NAME

